| Flutter Windows Embedder |

Classes | Typedefs | Functions
flutter_windows_internal.h File Reference
`#include "flutter/shell/platform/windows/public/flutter_windows.h"`

Go to the source code of this file.

## Classes
struct | FlutterDesktopViewControllerProperties
struct | FlutterPlatformViewCreationParameters
struct | FlutterPlatformViewTypeEntry

## Typedefs
typedef int64_t | PlatformViewId
typedef HWND(* | FlutterPlatformViewFactory) (const FlutterPlatformViewCreationParameters *)

## Functions
FLUTTER_EXPORT FlutterDesktopViewControllerRef | FlutterDesktopEngineCreateViewController (FlutterDesktopEngineRef engine, const FlutterDesktopViewControllerProperties *properties)
FLUTTER_EXPORT void | FlutterDesktopEngineRegisterPlatformViewType (FlutterDesktopEngineRef engine, const char *view_type_name, FlutterPlatformViewTypeEntry view_type)

## Typedef Documentation

## ◆ FlutterPlatformViewFactory

typedef HWND(* FlutterPlatformViewFactory) (const FlutterPlatformViewCreationParameters *)

Definition at line 54 of file flutter_windows_internal.h.

## ◆ PlatformViewId

typedef int64_t PlatformViewId

Definition at line 42 of file flutter_windows_internal.h.

## Function Documentation

## ◆ FlutterDesktopEngineCreateViewController()

FLUTTER_EXPORT FlutterDesktopViewControllerRef FlutterDesktopEngineCreateViewController | ( | FlutterDesktopEngineRef | engine,
|  | const FlutterDesktopViewControllerProperties * | properties
| ) |  |

Definition at line 124 of file flutter_windows.cc.

126 {
127 return CreateViewController(engine, properties->width, properties->height,
128 /*owns_engine=*/false);
129 }

References CreateViewController(), FlutterDesktopViewControllerProperties::height, and FlutterDesktopViewControllerProperties::width.

Referenced by flutter::testing::TEST_F().

## ◆ FlutterDesktopEngineRegisterPlatformViewType()

FLUTTER_EXPORT void FlutterDesktopEngineRegisterPlatformViewType | ( | FlutterDesktopEngineRef | engine,
|  | const char * | view_type_name,
|  | FlutterPlatformViewTypeEntry | view_type
| ) |  |

Definition at line 277 of file flutter_windows.cc.

280 {
281 // TODO(schectman): forward to platform view manager.
282 // https://github.com/flutter/flutter/issues/143375
283 }
FlutterDesktopViewControllerProperties::height
int height
Definition: flutter_windows_internal.h:23
CreateViewController
static FlutterDesktopViewControllerRef CreateViewController(FlutterDesktopEngineRef engine_ref, int width, int height, bool owns_engine)
Definition: flutter_windows.cc:79
FlutterDesktopViewControllerProperties::width
int width
Definition: flutter_windows_internal.h:20